class UserProfile {
  int? reportedCount;
  String? subscribeChannel;
  String? id;
  String? chatRoomMembershipsUrl;
  String? clientId;
  String? url;
  int? points;
  String? badgeProgressUrl;
  String? badgesUrl;
  dynamic? customData;
  String? createdAt;
  String? nickname;

  UserProfile({
    this.reportedCount,
    this.subscribeChannel,
    this.id,
    this.chatRoomMembershipsUrl,
    this.clientId,
    this.url,
    this.points,
    this.badgeProgressUrl,
    this.badgesUrl,
    this.customData,
    this.createdAt,
    this.nickname,
  });

  UserProfile.fromJson(dynamic json) {
    reportedCount = json['reported_count'];
    subscribeChannel = json['subscribe_channel'];
    id = json['id'];
    chatRoomMembershipsUrl = json['chat_room_memberships_url'];
    clientId = json['client_id'];
    url = json['url'];
    points = json['points'];
    badgeProgressUrl = json['badge_progress_url'];
    badgesUrl = json['badges_url'];
    customData = json['custom_data'];
    createdAt = json['created_at'];
    nickname = json['nickname'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['reported_count'] = reportedCount;
    map['subscribe_channel'] = subscribeChannel;
    map['id'] = id;
    map['chat_room_memberships_url'] = chatRoomMembershipsUrl;
    map['client_id'] = clientId;
    map['url'] = url;
    map['points'] = points;
    map['badge_progress_url'] = badgeProgressUrl;
    map['badges_url'] = badgesUrl;
    map['custom_data'] = customData;
    map['created_at'] = createdAt;
    map['nickname'] = nickname;
    return map;
  }
}
