import 'package:livelike_flutter_sdk/src/model/sponsor_model.dart';

import 'constants.dart';

class Sponsor {
  Future<List<SponsorModel>> fetchByProgramId(String programId) async {
    List result = await livelike_method_channel
        .invokeMethod(fetchSponsorByProgramIdKey, {programIDKey: programId});
    return result.map((e) => SponsorModel.fromJson(e)).toList();
  }
}
